Package org.eclipse.cdt.core.templateengine

# Class TemplateDescriptor

java.lang.Object
org.eclipse.cdt.core.templateengine.TemplateDescriptor

public class TemplateDescriptor extends Object
This class contains methods to get first process block element, next process block element and checks for next process block element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOOL_TRUE`
`static final String`
`DEFAULT`
`static final String`
`ID`
`static final String`
`IF`
`static final String`
`PERSIST`
`static final String`
`PROCESS`
`static final String`
`PROPERTY_GROUP`

## Constructor Summary

Constructors
Constructor
Description
`TemplateDescriptor(URL descriptorURL, String pluginId)`
Constructor which construct the Document based the URL

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getPersistTrueIDs()`
return the list of IDs whose Persist attribute is true.
`String`
`getPluginId()`
`List<Element>`
`getPropertyGroupList()`
This method is to get the list of property-group elements from template descriptor root element.
`Element`
`getRootElement()`
added to return root of this document.
`Element`
`getRootPropertyGroup(Element element)`
This method is to get the complex property-group from template descriptor root element.
`Map<String,String>`
`getTemplateDefaults(Element element)`
This method is to get the default key value pair (HashMap) form template descriptor root element.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTY_GROUP

public static final String PROPERTY_GROUP

See Also:
  - Constant Field Values

### PROCESS

public static final String PROCESS

See Also:
  - Constant Field Values

### IF

public static final String IF

See Also:
  - Constant Field Values

### ID

public static final String ID

See Also:
  - Constant Field Values

### DEFAULT

public static final String DEFAULT

See Also:
  - Constant Field Values

### PERSIST

public static final String PERSIST

See Also:
  - Constant Field Values

### BOOL_TRUE

public static final String BOOL_TRUE

See Also:
  - Constant Field Values

## Constructor Details

### TemplateDescriptor

public TemplateDescriptor(URL descriptorURL, String pluginId) throws TemplateInitializationException
Constructor which construct the Document based the URL

Parameters:
  `descriptorURL` -
Throws:
  `TemplateInitializationException`

## Method Details

### getTemplateDefaults

public Map<String,String> getTemplateDefaults(Element element)
This method is to get the default key value pair (HashMap) form template descriptor root element.

Returns:
  default values with keys

### getPropertyGroupList

public List<Element> getPropertyGroupList()
This method is to get the list of property-group elements from template descriptor root element.

Returns:
  list of property-group elements

### getRootPropertyGroup

public Element getRootPropertyGroup(Element element)
This method is to get the complex property-group from template descriptor root element. complex means a property-group contains other property-group(s)

Parameters:
  `element` - root element of type JDOM Element
Returns:
  property-group root element of type JDOM Element

### getRootElement

public Element getRootElement()
added to return root of this document.

### getPersistTrueIDs

public List<String> getPersistTrueIDs()
return the list of IDs whose Persist attribute is true.

Returns:
  Vector.

### getPluginId

public String getPluginId()